Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nwoods.jgo.layout
Class JGoTreeNetworkNode

    java.lang.Object
      com.nwoods.jgo.layout.JGoTreeNetworkNode

public class JGoTreeNetworkNode
extends java.lang.Object

Holds auto-layout specific node data.

Field Summary
`static int` | `AlignmentCenterChildren`
`static int` | `AlignmentCenterSubtrees`
`static int` | `AlignmentEnd`
`static int` | `AlignmentStart`
`static int` | `CompactionBlock`
`static int` | `CompactionNone`
`static int` | `SortingAscending`
`static int` | `SortingDescending`
`static int` | `SortingForwards`
`static int` | `SortingReverse`

Constructor Summary
`JGoTreeNetworkNode()`

Method Summary
`void` | `AddDestinationLink(JGoTreeNetworkLink destinationLink)` Adds a to the list successors (i.e., the link will be going out from this node).
`void` | `AddSourceLink(JGoTreeNetworkLink sourceLink)` Adds a JGoTreeNetworkLink to the list predecessors (i.e., the link will be coming into this node).
`void` | `CommitPosition()` Moves the corresponding GoObject to the center point of the node in the document.
`void` | `CopyInheritedPropertiesFrom(JGoTreeNetworkNode n)`
`void` | `DeleteDestinationLink(JGoTreeNetworkLink destinationLink)` Deletes a from the list of successors (i.e., the link was going out from this node).
`void` | `DeleteSourceLink(JGoTreeNetworkLink sourceLink)` Deletes a JGoTreeNetworkLink from the list of predecessors (i.e., the link was to this node).
`int` | `getAlignment()`
`float` | `getAngle()`
`java.awt.Rectangle` | `getBounds()` Gets the Bounds of this node.
`int` | `getBreadthLimit()`
`java.awt.Point` | `getCenter()` Gets the Center Point of this node.
`int` | `getChildPortSpot()`
`JGoTreeNetworkNode[]` | `getChildren()`
`int` | `getChildrenCount()`
`int` | `getCommentMargin()`
`int` | `getCommentSpacing()`
`int` | `getCompaction()`
`java.util.Comparator` | `getComparer()`
`int` | `getDescendentCount()`
`JGoNodeArrayList` | `getDestinations()`
`java.awt.Dimension` | `getFocus()` Gets the offset of the Center from the Position
`int` | `getHeight()` Gets the Bounds.Height.
`boolean` | `getInitialized()`
`int` | `getInternalFlags()`
`JGoObject` | `getJGoObject()` Gets the JGoObject associated with this network node.
`int` | `getLayerSpacing()`
`int` | `getLevel()`
`int` | `getMaxChildrenCount()`
`int` | `getMaxGenerationCount()`
`JGoTreeNetwork` | `getNetwork()` Gets the network that this node is part of
`static JGoTreeNetworkNode[]` | `getNoChildren()`
`int` | `getNodeIndent()`
`int` | `getNodeSpacing()`
`JGoTreeNetworkNode` | `getParent()`
`int` | `getPortSpot()`
`java.awt.Point` | `getPosition()` Gets the Position (top-left corner) of this node.
`java.awt.Point` | `getRelativePosition()`
`int` | `getRowIndent()`
`int` | `getRowSpacing()`
`java.awt.Dimension` | `getSize()` Gets the Bounds.Size.
`int` | `getSorting()`
`JGoNodeArrayList` | `getSources()`
`java.awt.Dimension` | `getSubtreeOffset()`
`java.awt.Dimension` | `getSubtreeSize()`
`int` | `getWidth()` Gets the Bounds.Width.
`void` | `setAlignment(int value)`
`void` | `setAngle(float value)`
`void` | `setBounds(java.awt.Rectangle value)` Sets the Bounds of this node.
`void` | `setBreadthLimit(int value)`
`void` | `setCenter(java.awt.Point value)` Sets the Center Point of this node.
`void` | `setChildPortSpot(int value)`
`void` | `setChildren(JGoTreeNetworkNode[] value)`
`void` | `setCommentMargin(int value)`
`void` | `setCommentSpacing(int value)`
`void` | `setCompaction(int value)`
`void` | `setComparer(java.util.Comparator value)`
`void` | `setDescendentCount(int value)`
`void` | `setFocus(java.awt.Dimension value)` Sets the offset of the Center from the Position Setting this property does not modify any JGoObject.
`void` | `setInitialized(boolean value)`
`void` | `setInternalFlags(int value)`
`void` | `setJGoObject(JGoObject obj)` Sets the JGoObject associated with this network node.
`void` | `setLayerSpacing(int value)`
`void` | `setLevel(int value)`
`void` | `setMaxChildrenCount(int value)`
`void` | `setMaxGenerationCount(int value)`
`void` | `setNetwork(JGoTreeNetwork network)` Sets the network that this node is part of
`void` | `setNodeIndent(int value)`
`void` | `setNodeSpacing(int value)`
`void` | `setParent(JGoTreeNetworkNode value)`
`void` | `setPortSpot(int value)`
`void` | `setPosition(java.awt.Point value)` Sets the Position (top-left corner) of this node.
`void` | `setRelativePosition(java.awt.Point value)`
`void` | `setRowIndent(int value)`
`void` | `setRowSpacing(int value)`
`void` | `setSorting(int value)`
`void` | `setSubtreeOffset(java.awt.Dimension value)`
`void` | `setSubtreeSize(java.awt.Dimension value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SortingForwards

    public static final int SortingForwards

See Also:
  Constant Field Values

### SortingReverse

    public static final int SortingReverse

See Also:
  Constant Field Values

### SortingAscending

    public static final int SortingAscending

See Also:
  Constant Field Values

### SortingDescending

    public static final int SortingDescending

See Also:
  Constant Field Values

### CompactionNone

    public static final int CompactionNone

See Also:
  Constant Field Values

### CompactionBlock

    public static final int CompactionBlock

See Also:
  Constant Field Values

### AlignmentCenterSubtrees

    public static final int AlignmentCenterSubtrees

See Also:
  Constant Field Values

### AlignmentCenterChildren

    public static final int AlignmentCenterChildren

See Also:
  Constant Field Values

### AlignmentStart

    public static final int AlignmentStart

See Also:
  Constant Field Values

### AlignmentEnd

    public static final int AlignmentEnd

See Also:
  Constant Field Values

Constructor Detail

### JGoTreeNetworkNode

    public JGoTreeNetworkNode()

Method Detail

### getJGoObject

    public JGoObject getJGoObject()

  Gets the JGoObject associated with this network node.

### setJGoObject

    public void setJGoObject(JGoObject obj)

  Sets the JGoObject associated with this network node. Setting this value to an object will also set the Center property to that object's center position.

### getNetwork

    public JGoTreeNetwork getNetwork()

  Gets the network that this node is part of

### setNetwork

    public void setNetwork(JGoTreeNetwork network)

  Sets the network that this node is part of

### AddSourceLink

    public void AddSourceLink(JGoTreeNetworkLink sourceLink)

  Adds a JGoTreeNetworkLink to the list predecessors (i.e., the link will be coming into this node).

### DeleteSourceLink

    public void DeleteSourceLink(JGoTreeNetworkLink sourceLink)

  Deletes a JGoTreeNetworkLink from the list of predecessors (i.e., the link was to this node).

### AddDestinationLink

    public void AddDestinationLink(JGoTreeNetworkLink destinationLink)

  Adds a to the list successors (i.e., the link will be going out from this node).

  Parameters:
    `destinationLink` -

### DeleteDestinationLink

    public void DeleteDestinationLink(JGoTreeNetworkLink destinationLink)

  Deletes a from the list of successors (i.e., the link was going out from this node).

  Parameters:
    `destinationLink` -

### getCenter

    public java.awt.Point getCenter()

  Gets the Center Point of this node.

  Returns:

### setCenter

    public void setCenter(java.awt.Point value)

  Sets the Center Point of this node. Setting this property does not modify any JGoObject

  Parameters:
    `value` -

### getPosition

    public java.awt.Point getPosition()

  Gets the Position (top-left corner) of this node.

  Returns:

### setPosition

    public void setPosition(java.awt.Point value)

  Sets the Position (top-left corner) of this node. Setting this property does not modify any JGoObject.

### getFocus

    public java.awt.Dimension getFocus()

  Gets the offset of the Center from the Position

  Returns:

### setFocus

    public void setFocus(java.awt.Dimension value)

  Sets the offset of the Center from the Position Setting this property does not modify any JGoObject.

  Parameters:
    `value` -

### getBounds

    public java.awt.Rectangle getBounds()

  Gets the Bounds of this node.

  Returns:

### setBounds

    public void setBounds(java.awt.Rectangle value)

  Sets the Bounds of this node. Setting this property does not modify any .

  Parameters:
    `value` -

### getSize

    public java.awt.Dimension getSize()

  Gets the Bounds.Size.

  Returns:

### getWidth

    public int getWidth()

  Gets the Bounds.Width. This is always the horizontal distance reserved for this node.

  Returns:

### getHeight

    public int getHeight()

  Gets the Bounds.Height. This is always the vertical distance reserved for this node.

  Returns:

### CommitPosition

    public void CommitPosition()

  Moves the corresponding GoObject to the center point of the node in the document.

### getSources

    public JGoNodeArrayList getSources()

### getDestinations

    public JGoNodeArrayList getDestinations()

### CopyInheritedPropertiesFrom

    public void CopyInheritedPropertiesFrom(JGoTreeNetworkNode n)

### setInitialized

    public void setInitialized(boolean value)

### getInitialized

    public boolean getInitialized()

### getParent

    public JGoTreeNetworkNode getParent()

### setParent

    public void setParent(JGoTreeNetworkNode value)

### getChildren

    public JGoTreeNetworkNode[] getChildren()

### setChildren

    public void setChildren(JGoTreeNetworkNode[] value)

### getChildrenCount

    public int getChildrenCount()

### getLevel

    public int getLevel()

### setLevel

    public void setLevel(int value)

### getDescendentCount

    public int getDescendentCount()

### setDescendentCount

    public void setDescendentCount(int value)

### getMaxChildrenCount

    public int getMaxChildrenCount()

### setMaxChildrenCount

    public void setMaxChildrenCount(int value)

### getMaxGenerationCount

    public int getMaxGenerationCount()

### setMaxGenerationCount

    public void setMaxGenerationCount(int value)

### getNoChildren

    public static JGoTreeNetworkNode[] getNoChildren()

### getSorting

    public int getSorting()

### setSorting

    public void setSorting(int value)

### getInternalFlags

    public int getInternalFlags()

### setInternalFlags

    public void setInternalFlags(int value)

### getComparer

    public java.util.Comparator getComparer()

### setComparer

    public void setComparer(java.util.Comparator value)

### getAngle

    public float getAngle()

### setAngle

    public void setAngle(float value)

### getAlignment

    public int getAlignment()

### setAlignment

    public void setAlignment(int value)

### getNodeIndent

    public int getNodeIndent()

### setNodeIndent

    public void setNodeIndent(int value)

### getLayerSpacing

    public int getLayerSpacing()

### setLayerSpacing

    public void setLayerSpacing(int value)

### getCompaction

    public int getCompaction()

### setCompaction

    public void setCompaction(int value)

### getBreadthLimit

    public int getBreadthLimit()

### setBreadthLimit

    public void setBreadthLimit(int value)

### getRowSpacing

    public int getRowSpacing()

### setRowSpacing

    public void setRowSpacing(int value)

### getRowIndent

    public int getRowIndent()

### setRowIndent

    public void setRowIndent(int value)

### getCommentSpacing

    public int getCommentSpacing()

### setCommentSpacing

    public void setCommentSpacing(int value)

### getCommentMargin

    public int getCommentMargin()

### setCommentMargin

    public void setCommentMargin(int value)

### getPortSpot

    public int getPortSpot()

### setPortSpot

    public void setPortSpot(int value)

### getChildPortSpot

    public int getChildPortSpot()

### setChildPortSpot

    public void setChildPortSpot(int value)

### getRelativePosition

    public java.awt.Point getRelativePosition()

### setRelativePosition

    public void setRelativePosition(java.awt.Point value)

### getSubtreeSize

    public java.awt.Dimension getSubtreeSize()

### setSubtreeSize

    public void setSubtreeSize(java.awt.Dimension value)

### getSubtreeOffset

    public java.awt.Dimension getSubtreeOffset()

### setSubtreeOffset

    public void setSubtreeOffset(java.awt.Dimension value)

### getNodeSpacing

    public int getNodeSpacing()

### setNodeSpacing

    public void setNodeSpacing(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD